@mixin digi-tools-languagepicker--variables() {
	--digi--tools-languagepicker--button--font-size: var(--digi--global--typography--font-size--interaction-medium);
	--digi--tools-languagepicker--button--font-size--desktop: var(--digi--global--typography--font-size--interaction-medium);
	--digi--tools-languagepicker--button--padding: var(--digi--gutter--button-block-medium) var(--digi--gutter--button-inline-medium);

	--digi--tools-languagepicker--button--border-radius: var(--digi--border-radius--button);
	--digi--tools-languagepicker--button--border-radius--hover: var(--digi--border-radius--button);
	--digi--tools-languagepicker--button--border-radius--focus: var(--digi--border-radius--button);
	--digi--tools-languagepicker--button--border-radius--active: var(--digi--border-radius--button);

	--digi--tools-languagepicker--button--color--text: var(--digi--global--color--neutral--grayscale--darkest-5);
	--digi--tools-languagepicker--button--color--text--hover: var(--digi--color--text--secondary);
	--digi--tools-languagepicker--button--color--text--focus: var(--digi--color--text--secondary);
	--digi--tools-languagepicker--button--color--text--active: var(--digi--color--text--secondary);

	--digi--tools-languagepicker--button--color--background: var(--digi--global--color--neutral--grayscale--lightest-4);
	--digi--tools-languagepicker--button--color--background--hover: var(--digi--global--color--cta--blue--dark);
	--digi--tools-languagepicker--button--color--background--focus: var(--digi--global--color--cta--blue--dark);
	--digi--tools-languagepicker--button--color--background--active: var(--digi--global--color--cta--blue--dark);

	--digi--tools-languagepicker--button--color--border: var(--digi--global--color--neutral--grayscale--lightest-4);
	--digi--tools-languagepicker--button--color--border--hover: var(--digi--color--border--secondary);
	--digi--tools-languagepicker--button--color--border--focus: var(--digi--color--border--secondary);
	--digi--tools-languagepicker--button--color--border--active: var(--digi--color--border--secondary);

	--digi--tools-languagepicker--button--border-width: var(--digi--border-width--button);
	--digi--tools-languagepicker--button--border-width--hover: var(--digi--border-width--button);
	--digi--tools-languagepicker--button--border-width--focus: var(--digi--border-width--button);
	--digi--tools-languagepicker--button--border-width--active: var(--digi--border-width--button);

	--digi--tools-languagepicker--button--border-style: var(--digi--border-style--primary);
	--digi--tools-languagepicker--button--border-style--hover: var(--digi--border-style--primary);
	--digi--tools-languagepicker--button--border-style--focus: var(--digi--border-style--primary);
	--digi--tools-languagepicker--button--border-style--active: var(--digi--border-style--primary);
}

/** Do not touch! Autogenerated 
* @prop --digi--tools-languagepicker--button--font-size: var(--digi--global--typography--font-size--interaction-medium);
* @prop --digi--tools-languagepicker--button--font-size--desktop: var(--digi--global--typography--font-size--interaction-medium);
* @prop --digi--tools-languagepicker--button--padding: var(--digi--gutter--button-block-medium) var(--digi--gutter--button-inline-medium);
* @prop --digi--tools-languagepicker--button--border-radius: var(--digi--border-radius--button);
* @prop --digi--tools-languagepicker--button--border-radius--hover: var(--digi--border-radius--button);
* @prop --digi--tools-languagepicker--button--border-radius--focus: var(--digi--border-radius--button);
* @prop --digi--tools-languagepicker--button--border-radius--active: var(--digi--border-radius--button);
* @prop --digi--tools-languagepicker--button--color--text: var(--digi--global--color--neutral--grayscale--darkest-5);
* @prop --digi--tools-languagepicker--button--color--text--hover: var(--digi--color--text--secondary);
* @prop --digi--tools-languagepicker--button--color--text--focus: var(--digi--color--text--secondary);
* @prop --digi--tools-languagepicker--button--color--text--active: var(--digi--color--text--secondary);
* @prop --digi--tools-languagepicker--button--color--background: var(--digi--global--color--neutral--grayscale--lightest-4);
* @prop --digi--tools-languagepicker--button--color--background--hover: var(--digi--global--color--cta--blue--dark);
* @prop --digi--tools-languagepicker--button--color--background--focus: var(--digi--global--color--cta--blue--dark);
* @prop --digi--tools-languagepicker--button--color--background--active: var(--digi--global--color--cta--blue--dark);
* @prop --digi--tools-languagepicker--button--color--border: var(--digi--global--color--neutral--grayscale--lightest-4);
* @prop --digi--tools-languagepicker--button--color--border--hover: var(--digi--color--border--secondary);
* @prop --digi--tools-languagepicker--button--color--border--focus: var(--digi--color--border--secondary);
* @prop --digi--tools-languagepicker--button--color--border--active: var(--digi--color--border--secondary);
* @prop --digi--tools-languagepicker--button--border-width: var(--digi--border-width--button);
* @prop --digi--tools-languagepicker--button--border-width--hover: var(--digi--border-width--button);
* @prop --digi--tools-languagepicker--button--border-width--focus: var(--digi--border-width--button);
* @prop --digi--tools-languagepicker--button--border-width--active: var(--digi--border-width--button);
* @prop --digi--tools-languagepicker--button--border-style: var(--digi--border-style--primary);
* @prop --digi--tools-languagepicker--button--border-style--hover: var(--digi--border-style--primary);
* @prop --digi--tools-languagepicker--button--border-style--focus: var(--digi--border-style--primary);
* @prop --digi--tools-languagepicker--button--border-style--active: var(--digi--border-style--primary);
*/